Subject: Re: [Patch net-next v3 3/4] vxlan: add ipv6 support

From: Cong Wang <[email-masked]>
Date: Tue, 09 Apr 2013 18:47:26 +0800

On Mon, 2013-04-08 at 08:53 -0400, David Stevens wrote:
>         With your current definitions, "sin6" is just an in6_addr, but
> you are not checking the sin6_scope_id, which is not correct for IPv6
> link-local addresses. You can rely on "ifindex" in vxlan_rdst for
> fdb entries, but you'd at least need to make sure it is not 0 for LL
> scope, and you still need sin6_scope_id to match for calls in 
> vxlan_snoop()
> and vxlan_group_used(). The same sin6_addr with different
> sin6_scope_id
> for link-local addrs is not the same address in v6. 

It seems this is not very easy to do, at least for me. So I will send
another patch after this patcheset is merged, now let's not make this to
be a blocker for this patchset.

Thanks!